This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 152114 - system-config GtkDeprecationWarning: TRUE vs True
system-config GtkDeprecationWarning: TRUE vs True
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 18:11 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.3.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 10:02:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2005-03-24 18:11:06 EST
Description of problem:

When running system-config-network from the command-line, I get these warnings:

/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1067:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.edit_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1068:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.delete_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1071:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.copy_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1095:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.activate_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1096:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.deactivate_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1097:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.delete_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1119:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.activate_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1120:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.deactivate_button.set_sensitive(TRUE)
/usr/share/system-config-network/netconfpkg/gui/maindialog.py:1121:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.delete_button.set_sensitive(FALSE)
/usr/sbin/system-config-network-gui:173: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead
  gtk.main()

Version-Release number of selected component (if applicable):

1.3.23-1

How reproducible:

always

Steps to Reproduce:
1. Default workstation install
2. try to start system-config-network from command-line
3. 
  
Actual results:

Many trivial to fix warnings

Expected results:

No output.

Additional info:

Other system-config-* seem to have the problem.  Should I open a bug report for
each?
Comment 1 Harald Hoyer 2005-03-30 10:02:17 EST
yes, please, open bugs for the other system-config* tools, too. Thanks!

Note You need to log in before you can comment on or make changes to this bug.